summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCiro Mattia Gonano <ciromattia@gmail.com>2013-09-11 16:42:15 +0200
committerCiro Mattia Gonano <ciromattia@gmail.com>2013-09-11 16:42:15 +0200
commite041f12667fb4ebd86e10a5a5bc4f3ed37efb278 (patch)
tree2f9af587be427b1368dce1e881647555ddcb2494
parentcb485e11e1a554cf98ccc55971dbeb847809d1a8 (diff)
Updates for ignore and travis
-rw-r--r--travis-phing.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/travis-phing.sh b/travis-phing.sh
new file mode 100644
index 00000000..04d86a9f
--- /dev/null
+++ b/travis-phing.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+#-----------------------------------------------------------
+#
+# Purpose: Run phing in a travis environment
+#
+# Target system: travis-ci
+#-----------------------------------------------------------
+
+installPearTask ()
+{
+ echo -e "\nAuto-discover pear channels and upgrade ..."
+ pear config-set auto_discover 1
+ pear -qq channel-update pear.php.net
+ pear -qq upgrade
+ echo "... OK"
+
+ echo -e "\nInstalling / upgrading phing ... "
+ which phing >/dev/null &&
+ pear upgrade pear.phing.info/phing ||
+ pear install --alldeps pear.phing.info/phing
+
+ # update paths
+ phpenv rehash
+
+ # re-test for phing:
+ phing -v 2>&1 >/dev/null &&
+ echo "... OK" ||
+ return 1
+}
+
+
+#-----------------------------------------------------------
+
+ installPearTask &&
+ echo -e "\nSUCCESS - PHP ENVIRONMENT READY." ||
+ ( echo "=== FAILED."; exit 1 )
+
+ phing $*
+
+#------------------------------------------------------- eof